diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 0eea5b7..5ceb415 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -4611,13 +4611,13 @@ FullyEvalableOver(R:SetCategory): Category == with
     if R has InnerEvalable(Symbol, R) then InnerEvalable(Symbol, R)
  add
     if R has Eltable(R, R) then
-      elt(x:$, r:R) == map(#1.r, x)
+      elt(x:$, r:R) == map(y +-> y(r), x)
 
     if R has Evalable(R) then
-      eval(x:$, l:List Equation R) == map(eval(#1, l), x)
+      eval(x:$, l:List Equation R) == map(y +-> eval(y, l), x)
 
     if R has InnerEvalable(Symbol, R) then
-      eval(x:$, ls:List Symbol, lv:List R) == map(eval(#1, ls, lv), x)
+      eval(x:$, ls:List Symbol, lv:List R) == map(y +-> eval(y, ls, lv), x)
 
 @
 <<FEVALAB.dotabb>>=
diff --git a/changelog b/changelog
index 5376ee9..256f1de 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090508 tpd src/axiom-website/patches.html 20090508.05.tpd.patch
+20090508 tpd books/bookvol10.2 FEVALAB +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.04.tpd.patch
 20090508 tpd books/bookvol10.4 AF +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6a9a444..fe98d09 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1121,6 +1121,8 @@ bookvol10.3 ACPLOT +-> conversion<br/>
 <a href="patches/20090508.03.tpd.patch">20090508.03.tpd.patch</a>
 bookvol10.2 HOAGG +-> conversion<br/>
 <a href="patches/20090508.04.tpd.patch">20090508.04.tpd.patch</a>
-bookvol10.2 AF +-> conversion<br/>
+bookvol10.4 AF +-> conversion<br/>
+<a href="patches/20090508.05.tpd.patch">20090508.05.tpd.patch</a>
+bookvol10.2 FEVALAB +-> conversion<br/>
  </body>
 </html>
